Retrieve Site

View as Markdown
Retrieve a specific Site by ID. User must have authorization role with `PROVIDER_ADMIN` or `TENANT_ADMIN` suffix. Access is granted if: - The Site is owned by the org's Infrastructure Provider - The org's Tenant has an Allocation for Site - The org's Tenant is privileged and has Account with Site's Provider

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
siteIdstringRequiredformat: "uuid"
ID of the Site

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Site in NICo Cloud
namestringOptional2-256 characters
Name of the Site
descriptionstring or nullOptional
Optional description for the Site
orgstringOptional
NGC organization ID of the Infrastructure Provider that owns the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that owns the Site
siteControllerVersionstring or nullOptional
Version of the Site Controller software
siteAgentVersionstring or nullOptional
Version of the Site Agent software
registrationTokenstring or nullOptional
Token that can be used to register a Site. Value only exposed to Provider
registrationTokenExpirationdatetime or nullOptionalRead-only

Date/time when registration token expires. Value only exposed to Provider

serialConsoleHostnamestring or nullOptionalformat: "hostname"
Serial console hostname of the site controller
isSerialConsoleEnabledbooleanOptional
Indicates if Serial Console is enabled for the Site by the Provider
serialConsoleIdleTimeoutinteger or nullOptional
Maximum idle time in seconds before Serial Console is disconnected
serialConsoleMaxSessionLengthinteger or nullOptional
Maximum length of Serial Console session in seconds
isSerialConsoleSSHKeysEnabledbooleanOptional
Only visible to Tenant retrieving the Site. Indicates if Serial Console access using SSH Keys is enabled by Tenant
isOnlinebooleanOptional
Indicates if the Site is currently reachable from Cloud
statusenumOptional
Status of the Site
statusHistorylist of objectsOptional
Chronological status history for the Site
createddatetimeOptional

Date/time when the Site was created

updateddatetimeOptional

Date/time when the Site was last updated

locationobjectOptional
Site location information
contactobjectOptional
Site contact information
capabilitiesobjectOptional
Site capabilities used for feature availability and configuration
machineStatsobjectOptional
Machine counts by status for the Site
gpuStatslist of objectsOptional
GPU counts grouped by GPU type for the Site. Populated when includeGpuStats is set

Errors

403
Forbidden Error